/*
    readconfig.c

    Reads the config file and fills up the config structure

    Copyright (C) 2001 Matthias Cramer, cramer@freestone.net
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  
*/

#include <sys/types.h>
#include <sys/stat.h>
#include <stdlib.h>
#include <fcntl.h>
#include <stdio.h>
#include <errno.h>
#include <string.h>
#include "version.h"
#include "config.h"

void readconfig(struct s_config * config) {
  FILE * fd;
  char buf[255];
  char key[100], value[100];
  char *sp;
  
  fd = fopen(CFGDIR"/eontools.conf", "r");
  
  if (fd == NULL) {
    printf("Config file /etc/eontools.conf does not exist!\n");
    exit(0);
  }
  
  while(!feof(fd)) {
    buf[0]='\0';
    fgets(buf,255,fd);
    
    sp = (char*)strchr(buf, '#');
    if (sp) {
      *sp = '\0';
    }
        
    if (strlen(buf) > 0 && strchr(buf,'=') != NULL) {
      sscanf(buf, "%s = %s", key, value);
      
      if (strncmp("DEVICE", key, 6) == 0) {
        strcpy(config->device,value);
      } 
      
      if (strncmp("DIVEOFFSET", key, 10) == 0) {
        config->diveoffset = atoi(value);
      }
      
    }
    
  }
  
  fclose(fd);
}

